> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/faq/how-to-check-if-features-were-updated-on-the-server.md).

# How to check if features were updated on the server

\[This article is now obsolete - as of QLM v12, the new LicenseValidator class automatically detects if features changed on the server and reactivate the key if needed]

You can automatically check if features were updated on the server, and force a reactivation of the key to apply the new features on the client.

Assuming you are using the LicenseValidator class, after calling ValidateLicenseAtStartup successfully, add the function below to your code and call the UpdateLicense method.

{% code overflow="wrap" %}

```csharp
private void UpdateLicense()
{
    // Assuming lv is an instance of the LicenseValidator class:
    string dataSet;
    string response;
    QlmLicenseLib.ILicenseInfo licenseInfo;
    licenseInfo = lv.QlmLicenseObject.GetLicenseInfo(String.Empty, lv.ActivationKey, false, out                                 dataSet, out response);
    if (licenseInfo != null)
    {
        string serverFeatures = licenseInfo.Features;
        string localFeatures = lv.QlmLicenseObject.GetFeaturesAsString();
        if (serverFeatures != localFeatures)
        {
            //Reactivate the key
            lv.ReactivateKey(Environment.MachineName);
        }
    }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/faq/how-to-check-if-features-were-updated-on-the-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
